#ifndef __PROJEKCE_H__
#define __PROJEKCE_H__



#include <math.h>
#include "Teleso.h"
class Zobraz
{
	private:
		double ax,ay,X,Y,Z,alfa,beta,gama,x,y;
		double SinAlfa,CosAlfa,SinBeta,CosBeta,SinGama,CosGama;
		
		
		
		
		
		
	public:
		Zobraz();
		double PromitnoutX(double Xs, double Ys, double Zs);
		double PromitnoutX(Bod A);
		double PromitnoutY(double Xs, double Ys, double Zs);
		double PromitnoutY(Bod A);
		inline void Setp(double A);
		inline void Setax(double A);
		inline void Setay(double A);
		inline void SetX(double A);
		inline void SetY(double A);
		inline void SetZ(double A);
		inline void Seta(double A);
		inline void Setb(double A);
		inline void Setc(double A);
		inline void Setalfa(double A);
		inline void Setbeta(double A);
		inline void Setgama(double A);
		inline void SetCxy(double Cx,double Cy);
		inline double GetCx();
		inline double GetCy();

};
		
		void Zobraz::Setp(double A) {ax = A; ay = A;}
		void Zobraz::Setax(double A) {ax = A;}
		void Zobraz::Setay(double A) {ay = A;}
		void Zobraz::SetX(double A) { X = A;}
		void Zobraz::SetY(double A) { Y = A;}
		void Zobraz::SetZ(double A) { Z = A;}
		
		void Zobraz::Setalfa(double A) { alfa = A; SinAlfa = sin(A); CosAlfa = cos(A);}
		void Zobraz::Setbeta(double A) { beta = A; SinBeta = sin(A); CosBeta = cos(A);}
		void Zobraz::Setgama(double A) { gama = A; SinGama = sin(A); CosGama = cos(A);} 
		void Zobraz::SetCxy(double Cx,double Cy) {x = Cx; y= Cy;}
		double Zobraz::GetCx() {return x;}
		double Zobraz::GetCy() {return y;}
#endif





